package com.zcloud.fire.check.domain.gateway;

import com.zcloud.fire.check.domain.model.FireCheckListE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-11-28 10:32:09
 */
public interface FireCheckListGateway {

    /**
     * 新增
     */
    Boolean add(FireCheckListE fireCheckListE);

    /**
     * 修改
     */
    Boolean update(FireCheckListE fireCheckListE);

    /**
     * 删除
     */
    Boolean deletedFireCheckListById(Long id);

    Boolean deletedFireCheckListByIds(Long[] id);
}

